Bug 131286 - macOS title bar not reflecting dark mode setting
Summary: macOS title bar not reflecting dark mode setting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.2.1 rc
Hardware: All macOS (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: UI-Theming macOS-Dark-Mode
  Show dependency treegraph
 
Reported: 2020-03-11 14:36 UTC by steve
Modified: 2022-06-26 14:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
macOS title bar 6.4.1.2 (36.76 KB, image/jpeg)
2020-03-11 14:39 UTC, steve
Details
macOS title bar 6.4.2.1 (22.80 KB, image/png)
2020-03-11 14:39 UTC, steve
Details
2020-03-11 master (81.63 KB, image/png)
2020-03-11 16:55 UTC, steve
Details

Note You need to log in before you can comment on or make changes to this bug.
Description steve 2020-03-11 14:36:56 UTC
Description:
The title bar in windows on macOS is expected to be dark when system is set to use dark mode. This worked in 6.4.1.2. It is no longer working in 6.4.2.1.

Steps to Reproduce:
1. open system preferences > general > enable dark mode
2. open LO

Actual Results:
Title bar has light color.

Expected Results:
Title bar should have dark color.


Reproducible: Always


User Profile Reset: No



Additional Info:
Pretty certain this is caused by the changes done in regards to the macOS build environment in order to fix #122218.
Should not be that hard to fix. Maybe related:
https://stackoverflow.com/questions/44033813/how-to-change-the-titlebar-toolbar-and-nsbuttons-to-a-dark-theme
Comment 1 steve 2020-03-11 14:39:33 UTC
Created attachment 158611 [details]
macOS title bar 6.4.1.2
Comment 2 steve 2020-03-11 14:39:56 UTC
Created attachment 158612 [details]
macOS title bar 6.4.2.1
Comment 3 Julien Nabet 2020-03-11 16:20:38 UTC
Thorsten: thought you might be interested in this one. With https://cgit.freedesktop.org/libreoffice/core/commit/?id=8d11b953c0a69f4f5eb5ca42dec3812a62d0cd0f, is it fixed on master?
Comment 4 steve 2020-03-11 16:55:50 UTC
Created attachment 158621 [details]
2020-03-11 master
Comment 5 Thorsten Wagner 2020-03-11 23:33:56 UTC
Issue is not related to tdf#125532. Reason is tdf#122218:

https://bugs.documentfoundation.org/show_bug.cgi?id=122218

Dark theme for UI elements is supported with macOS SDK 10.14 and higher only. Due to blurry fonts on retina displays, SDK has been withdrawn to 10.13.

Furthermore there is no comprehensive dark theme implementation with SDK 10.14 too. There are only a few UI elements changed by the OS without support within LO code base (like toolbar shown by the screenshots). From this point of view, using light theme only is consistent as long as comprehensive dark theme implementation is not done.

BTW: Solving the existing problems with SDK 10.14 and higher is a prerequisite for implementing dark theme in the future.
Comment 6 Julien Nabet 2020-03-12 08:46:30 UTC
(In reply to Thorsten Wagner from comment #5)
> ...
> BTW: Solving the existing problems with SDK 10.14 and higher is a
> prerequisite for implementing dark theme in the future.

Thank you for your detailed feedback. I suppose too that an even higher priority than SDK part for MacOs part is notarization (which is an almost blocker on Catalina if I well understood)
Comment 7 Stephan Bergmann 2020-04-29 08:31:17 UTC
(In reply to Thorsten Wagner from comment #5)
> Issue is not related to tdf#125532. Reason is tdf#122218:
> 
> https://bugs.documentfoundation.org/show_bug.cgi?id=122218

Indeed, it apparently is <https://git.libreoffice.org/core/+/645fe53be0dc36535dba0ed684e21ca4cda80d70%5E!/> "tdf#122218: Hack to avoid blurry text with macOS SDK 10.15" which prevents title bars (among other things) from adapting color to dark mode (at least when building LO against MacOSX10.15.sdk and running it on macOS 10.15.4).
Comment 8 Stephan Bergmann 2020-04-30 07:11:35 UTC
> Date: Thu, 30 Apr 2020 04:00:33 +0000
[...]
> QA Administrators <qa-admin@libreoffice.org> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>            Keywords|                            |bibisectRequest

Why?  What needs bibisecting here?  Comment 7 already identified the relevant commit.
Comment 9 Sierk Bornemann 2022-06-10 15:06:28 UTC
Since this bug seeems to be the only remaining issue blocking Bug 118017 (macOS-Dark-Mode): is there any progress on this issue?
Comment 10 steve 2022-06-26 14:39:15 UTC
Sierkt I assure you this is not the only bug blocking macOS dark mode. Just no one has found the time or willingness to check open existing bugs and connect them with the macOS dark mode meta bug.